#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=kurikoma2.17_rdp_018.ps
projection=-JX18/12
region=-R1/31/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases kurikoma2.17 Event 018' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     1.882     1.000
     1.445     2.000
     1.022     3.000
     0.635     4.000
     0.331     5.000
     0.233     6.000
     0.336     7.000
     0.491     8.000
     0.731     9.000
     1.060    10.000
     1.368    11.000
     1.683    12.000
     2.002    13.000
     2.327    14.000
     2.651    15.000
     2.984    16.000
     3.310    17.000
     3.636    18.000
     3.963    19.000
     4.291    20.000
     4.578    21.000
     4.867    22.000
     5.156    23.000
     5.446    24.000
     5.735    25.000
     6.025    26.000
     6.312    27.000
     6.636    28.000
     6.994    29.000
     7.283    30.000
     7.572    31.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     3.182     1.000
     2.402     2.000
     1.625     3.000
     0.856     4.000
     0.450     5.000
     0.336     6.000
     0.499     7.000
     0.728     8.000
     1.061     9.000
     1.687    10.000
     2.256    11.000
     2.824    12.000
     3.392    13.000
     3.966    14.000
     4.535    15.000
     5.124    16.000
     5.692    17.000
     6.262    18.000
     6.831    19.000
     7.401    20.000
     7.901    21.000
     8.403    22.000
     8.905    23.000
     9.409    24.000
     9.911    25.000
    10.414    26.000
    10.913    27.000
    11.479    28.000
    12.097    29.000
    12.598    30.000
    13.099    31.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     4.076    11.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.976    11.000
     3.976    11.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.976    11.000
     3.976    15.000
     1.976    15.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.976    11.000
     3.976     7.000
     1.976     7.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     6.000
     1.976     6.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.976     2.000
     1.976    11.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     2.000
     1.976     2.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    11.000
     1.976    11.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 19760705.0247.15
     9.680     2.000 Depth of minimum misfit =   6 km on  3 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
