#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=kurikoma2.17_rdp_055.ps
projection=-JX18/12
region=-R1/33/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases kurikoma2.17 Event 055' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     2.240     1.000
     1.789     2.000
     1.339     3.000
     0.889     4.000
     0.439     5.000
     0.011     6.000
     0.327     7.000
     0.002     8.000
     0.332     9.000
     0.661    10.000
     0.991    11.000
     1.320    12.000
     1.649    13.000
     1.981    14.000
     2.311    15.000
     2.636    16.000
     2.965    17.000
     3.294    18.000
     3.623    19.000
     3.952    20.000
     4.241    21.000
     4.531    22.000
     4.820    23.000
     5.111    24.000
     5.401    25.000
     5.691    26.000
     5.974    27.000
     6.263    28.000
     6.552    29.000
     6.841    30.000
     7.158    31.000
     7.449    32.000
     7.740    33.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     2.240     1.000
     1.789     2.000
     1.339     3.000
     0.889     4.000
     0.439     5.000
     0.011     6.000
     0.327     7.000
     0.002     8.000
     0.332     9.000
     0.661    10.000
     0.991    11.000
     1.320    12.000
     1.649    13.000
     1.981    14.000
     2.311    15.000
     2.636    16.000
     2.965    17.000
     3.294    18.000
     3.623    19.000
     3.952    20.000
     4.241    21.000
     4.531    22.000
     4.820    23.000
     5.111    24.000
     5.401    25.000
     5.691    26.000
     5.974    27.000
     6.263    28.000
     6.552    29.000
     6.841    30.000
     7.158    31.000
     7.449    32.000
     7.740    33.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     3.742    10.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.642    10.000
     3.642    10.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.642    10.000
     3.642    14.000
     1.642    14.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.642    10.000
     3.642     6.000
     1.642     6.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     8.000
     1.642     8.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.642     2.000
     1.642    13.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     2.000
     1.642     2.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    13.000
     1.642    13.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 19960810.1827.53
     9.680     2.000 Depth of minimum misfit =   8 km on  1 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
