#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=kurikoma2.17_rdp_075.ps
projection=-JX18/12
region=-R1/30/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases kurikoma2.17 Event 075' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     1.129     1.000
     0.678     2.000
     0.228     3.000
     0.221     4.000
     0.012     5.000
     0.342     6.000
     0.672     7.000
     1.002     8.000
     1.332     9.000
     1.769    10.000
     2.099    11.000
     2.428    12.000
     2.758    13.000
     3.090    14.000
     3.420    15.000
     3.745    16.000
     4.074    17.000
     4.404    18.000
     4.733    19.000
     5.062    20.000
     5.351    21.000
     5.642    22.000
     5.932    23.000
     6.223    24.000
     6.513    25.000
     6.803    26.000
     7.086    27.000
     7.376    28.000
     7.665    29.000
     7.954    30.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     1.129     1.000
     0.678     2.000
     0.228     3.000
     0.221     4.000
     0.012     5.000
     0.342     6.000
     0.672     7.000
     1.002     8.000
     1.332     9.000
     1.769    10.000
     2.099    11.000
     2.428    12.000
     2.758    13.000
     3.090    14.000
     3.420    15.000
     3.745    16.000
     4.074    17.000
     4.404    18.000
     4.733    19.000
     5.062    20.000
     5.351    21.000
     5.642    22.000
     5.932    23.000
     6.223    24.000
     6.513    25.000
     6.803    26.000
     7.086    27.000
     7.376    28.000
     7.665    29.000
     7.954    30.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     3.752     6.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.652     6.000
     3.652     6.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.652     6.000
     3.652    10.000
     1.652    10.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.652     6.000
     3.652     2.000
     1.652     2.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     5.000
     1.652     5.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.652     1.000
     1.652    10.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     1.652     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    10.000
     1.652    10.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 19960811.0512.32
     9.680     2.000 Depth of minimum misfit =   5 km on  1 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
