#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=kurikoma2.17_rdp_077.ps
projection=-JX18/12
region=-R1/32/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases kurikoma2.17 Event 077' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     2.091     1.000
     1.653     2.000
     1.221     3.000
     0.801     4.000
     0.434     5.000
     0.218     6.000
     0.205     7.000
     0.297     8.000
     0.497     9.000
     0.779    10.000
     1.085    11.000
     1.399    12.000
     1.718    13.000
     2.038    14.000
     2.359    15.000
     2.682    16.000
     3.005    17.000
     3.328    18.000
     3.651    19.000
     3.975    20.000
     4.260    21.000
     4.544    22.000
     4.828    23.000
     5.113    24.000
     5.397    25.000
     5.682    26.000
     5.968    27.000
     6.253    28.000
     6.538    29.000
     6.830    30.000
     7.116    31.000
     7.402    32.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     2.916     1.000
     2.287     2.000
     1.659     3.000
     1.031     4.000
     0.463     5.000
     0.301     6.000
     0.242     7.000
     0.397     8.000
     0.562     9.000
     1.020    10.000
     1.479    11.000
     1.938    12.000
     2.397    13.000
     2.856    14.000
     3.315    15.000
     3.775    16.000
     4.234    17.000
     4.693    18.000
     5.152    19.000
     5.611    20.000
     6.015    21.000
     6.418    22.000
     6.821    23.000
     7.224    24.000
     7.627    25.000
     8.030    26.000
     8.435    27.000
     8.839    28.000
     9.243    29.000
     9.655    30.000
    10.060    31.000
    10.465    32.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     3.982     8.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.882     8.000
     3.882     8.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.882     8.000
     3.882    12.000
     1.882    12.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.882     8.000
     3.882     4.000
     1.882     4.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     7.000
     1.882     7.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.882     2.000
     1.882    12.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     2.000
     1.882     2.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    12.000
     1.882    12.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 19960811.1148.16
     9.680     2.000 Depth of minimum misfit =   7 km on  2 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
