#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=kurikoma2.17_rdp_116.ps
projection=-JX18/12
region=-R1/30/0/12
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases kurikoma2.17 Event 116' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     2.075     1.000
     1.654     2.000
     1.247     3.000
     0.874     4.000
     0.576     5.000
     0.357     6.000
     0.278     7.000
     0.466     8.000
     0.707     9.000
     0.938    10.000
     1.210    11.000
     1.501    12.000
     1.801    13.000
     2.108    14.000
     2.417    15.000
     2.729    16.000
     3.046    17.000
     3.363    18.000
     3.678    19.000
     3.994    20.000
     4.271    21.000
     4.548    22.000
     4.825    23.000
     5.102    24.000
     5.379    25.000
     5.657    26.000
     5.934    27.000
     6.212    28.000
     6.490    29.000
     6.768    30.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     6.630     1.000
     5.165     2.000
     3.701     3.000
     2.280     4.000
     1.393     5.000
     0.958     6.000
     0.782     7.000
     1.357     8.000
     2.097     9.000
     2.580    10.000
     3.559    11.000
     4.618    12.000
     5.679    13.000
     6.739    14.000
     7.799    15.000
     8.858    16.000
     9.928    17.000
    10.995    18.000
    12.054    19.000
    13.114    20.000
    14.039    21.000
    14.965    22.000
    15.890    23.000
    16.815    24.000
    17.739    25.000
    18.664    26.000
    19.587    27.000
    20.513    28.000
    21.438    29.000
    22.362    30.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     4.522     9.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     2.422     9.000
     4.422     9.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.422     9.000
     4.422    13.000
     2.422    13.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.422     9.000
     4.422     5.000
     2.422     5.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     7.000
     2.422     7.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     2.422     3.000
     2.422    10.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     3.000
     2.422     3.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    10.000
     2.422    10.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    11.280     2.000 Event 20030725.1513.09
    10.560     2.000 Depth of minimum misfit =   7 km on 11 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     9.600     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     9.120     2.000 z statistic for depth uncertainty range in red
END
