#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=kurikoma2.17_rdp_118.ps
projection=-JX18/12
region=-R1/31/0/12
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases kurikoma2.17 Event 118' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     2.367     1.000
     1.942     2.000
     1.528     3.000
     1.127     4.000
     0.767     5.000
     0.518     6.000
     0.434     7.000
     0.499     8.000
     0.652     9.000
     0.842    10.000
     1.075    11.000
     1.347    12.000
     1.638    13.000
     1.940    14.000
     2.248    15.000
     2.560    16.000
     2.875    17.000
     3.193    18.000
     3.512    19.000
     3.832    20.000
     4.113    21.000
     4.394    22.000
     4.676    23.000
     4.958    24.000
     5.240    25.000
     5.523    26.000
     5.807    27.000
     6.090    28.000
     6.374    29.000
     6.658    30.000
     6.943    31.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     8.207     1.000
     6.600     2.000
     5.095     3.000
     3.646     4.000
     2.287     5.000
     1.497     6.000
     1.139     7.000
     1.146     8.000
     1.698     9.000
     2.360    10.000
     3.118    11.000
     4.226    12.000
     5.397    13.000
     6.568    14.000
     7.738    15.000
     8.909    16.000
    10.079    17.000
    11.253    18.000
    12.427    19.000
    13.597    20.000
    14.624    21.000
    15.651    22.000
    16.677    23.000
    17.704    24.000
    18.727    25.000
    19.754    26.000
    20.784    27.000
    21.811    28.000
    22.839    29.000
    23.867    30.000
    24.900    31.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     4.879    11.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     2.779    11.000
     4.779    11.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.779    11.000
     4.779    14.000
     2.779    14.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.779    11.000
     4.779     8.000
     2.779     8.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     7.000
     2.779     7.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     2.779     4.000
     2.779    11.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     4.000
     2.779     4.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    11.000
     2.779    11.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    11.280     2.000 Event 20030725.2213.32
    10.560     2.000 Depth of minimum misfit =   7 km on 13 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     9.600     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     9.120     2.000 z statistic for depth uncertainty range in red
END
