#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=kurikoma2.17_rdp_119.ps
projection=-JX18/12
region=-R1/27/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases kurikoma2.17 Event 119' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     0.108     1.000
     0.427     2.000
     0.745     3.000
     1.063     4.000
     1.382     5.000
     1.700     6.000
     2.018     7.000
     2.337     8.000
     2.655     9.000
     2.980    10.000
     3.298    11.000
     3.616    12.000
     3.934    13.000
     4.253    14.000
     4.571    15.000
     4.889    16.000
     5.207    17.000
     5.525    18.000
     5.843    19.000
     6.161    20.000
     6.439    21.000
     6.716    22.000
     6.994    23.000
     7.271    24.000
     7.548    25.000
     7.826    26.000
     8.103    27.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     0.108     1.000
     0.427     2.000
     0.745     3.000
     1.063     4.000
     1.382     5.000
     1.700     6.000
     2.018     7.000
     2.337     8.000
     2.655     9.000
     2.980    10.000
     3.298    11.000
     3.616    12.000
     3.934    13.000
     4.253    14.000
     4.571    15.000
     4.889    16.000
     5.207    17.000
     5.525    18.000
     5.843    19.000
     6.161    20.000
     6.439    21.000
     6.716    22.000
     6.994    23.000
     7.271    24.000
     7.548    25.000
     7.826    26.000
     8.103    27.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     3.848    13.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.748    13.000
     3.748    13.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.748    13.000
     3.748    16.000
     1.748    16.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.748    13.000
     3.748    10.000
     1.748    10.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     1.000
     1.748     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.748     1.000
     1.748     7.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     1.748     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     7.000
     1.748     7.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 20030725.2244.12
     9.680     2.000 Depth of minimum misfit =   1 km on  1 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
