#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=kurikoma2.17_rdp_151.ps
projection=-JX18/12
region=-R1/31/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases kurikoma2.17 Event 151' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     1.389     1.000
     0.939     2.000
     0.490     3.000
     0.042     4.000
     0.241     5.000
     0.087     6.000
     0.416     7.000
     0.744     8.000
     1.072     9.000
     1.400    10.000
     1.733    11.000
     2.061    12.000
     2.390    13.000
     2.721    14.000
     3.050    15.000
     3.374    16.000
     3.702    17.000
     4.030    18.000
     4.358    19.000
     4.687    20.000
     4.975    21.000
     5.264    22.000
     5.734    23.000
     6.027    24.000
     6.321    25.000
     6.615    26.000
     6.915    27.000
     7.209    28.000
     7.503    29.000
     7.797    30.000
     8.090    31.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     1.389     1.000
     0.939     2.000
     0.490     3.000
     0.042     4.000
     0.241     5.000
     0.087     6.000
     0.416     7.000
     0.744     8.000
     1.072     9.000
     1.400    10.000
     1.733    11.000
     2.061    12.000
     2.390    13.000
     2.721    14.000
     3.050    15.000
     3.374    16.000
     3.702    17.000
     4.030    18.000
     4.358    19.000
     4.687    20.000
     4.975    21.000
     5.264    22.000
     5.734    23.000
     6.027    24.000
     6.321    25.000
     6.615    26.000
     6.915    27.000
     7.209    28.000
     7.503    29.000
     7.797    30.000
     8.090    31.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     3.782    14.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.682    14.000
     3.682    14.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.682    14.000
     3.682    18.000
     1.682    18.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.682    14.000
     3.682    10.000
     1.682    10.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     4.000
     1.682     4.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.682     1.000
     1.682    11.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     1.682     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    11.000
     1.682    11.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 20080614.0000.35
     9.680     2.000 Depth of minimum misfit =   4 km on  1 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
