#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=kurikoma2.17_rdp_164.ps
projection=-JX18/12
region=-R1/31/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases kurikoma2.17 Event 164' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     1.485     1.000
     1.035     2.000
     0.586     3.000
     0.136     4.000
     0.304     5.000
     0.025     6.000
     0.358     7.000
     0.687     8.000
     1.017     9.000
     1.346    10.000
     1.676    11.000
     2.005    12.000
     2.335    13.000
     2.666    14.000
     2.996    15.000
     3.323    16.000
     3.653    17.000
     3.982    18.000
     4.312    19.000
     4.641    20.000
     4.932    21.000
     5.386    22.000
     5.672    23.000
     5.961    24.000
     6.249    25.000
     6.537    26.000
     6.814    27.000
     7.101    28.000
     7.388    29.000
     7.675    30.000
     7.962    31.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     1.485     1.000
     1.035     2.000
     0.586     3.000
     0.136     4.000
     0.304     5.000
     0.025     6.000
     0.358     7.000
     0.687     8.000
     1.017     9.000
     1.346    10.000
     1.676    11.000
     2.005    12.000
     2.335    13.000
     2.666    14.000
     2.996    15.000
     3.323    16.000
     3.653    17.000
     3.982    18.000
     4.312    19.000
     4.641    20.000
     4.932    21.000
     5.386    22.000
     5.672    23.000
     5.961    24.000
     6.249    25.000
     6.537    26.000
     6.814    27.000
     7.101    28.000
     7.388    29.000
     7.675    30.000
     7.962    31.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     3.765    15.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.665    15.000
     3.665    15.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.665    15.000
     3.665    18.000
     1.665    18.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.665    15.000
     3.665    12.000
     1.665    12.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     6.000
     1.665     6.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.665     1.000
     1.665    11.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     1.665     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    11.000
     1.665    11.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 20080614.0139.48
     9.680     2.000 Depth of minimum misfit =   6 km on  1 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
