#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=kurikoma2.17_rdp_181.ps
projection=-JX18/12
region=-R1/32/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases kurikoma2.17 Event 181' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     1.553     1.000
     1.104     2.000
     0.655     3.000
     0.207     4.000
     0.242     5.000
     0.090     6.000
     0.237     7.000
     0.565     8.000
     0.892     9.000
     1.220    10.000
     1.548    11.000
     1.875    12.000
     2.203    13.000
     2.535    14.000
     2.863    15.000
     3.186    16.000
     3.513    17.000
     3.842    18.000
     4.170    19.000
     4.499    20.000
     4.787    21.000
     5.076    22.000
     5.365    23.000
     5.655    24.000
     5.945    25.000
     6.234    26.000
     6.673    27.000
     6.968    28.000
     7.264    29.000
     7.559    30.000
     7.854    31.000
     8.149    32.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     1.553     1.000
     1.104     2.000
     0.655     3.000
     0.207     4.000
     0.242     5.000
     0.090     6.000
     0.237     7.000
     0.565     8.000
     0.892     9.000
     1.220    10.000
     1.548    11.000
     1.875    12.000
     2.203    13.000
     2.535    14.000
     2.863    15.000
     3.186    16.000
     3.513    17.000
     3.842    18.000
     4.170    19.000
     4.499    20.000
     4.787    21.000
     5.076    22.000
     5.365    23.000
     5.655    24.000
     5.945    25.000
     6.234    26.000
     6.673    27.000
     6.968    28.000
     7.264    29.000
     7.559    30.000
     7.854    31.000
     8.149    32.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     3.830    11.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.730    11.000
     3.730    11.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.730    11.000
     3.730    15.000
     1.730    15.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.730    11.000
     3.730     7.000
     1.730     7.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     6.000
     1.730     6.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.730     1.000
     1.730    12.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     1.730     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    12.000
     1.730    12.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 20080614.0539.06
     9.680     2.000 Depth of minimum misfit =   6 km on  1 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
