#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=kurikoma2.17_rdp_184.ps
projection=-JX18/12
region=-R1/30/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases kurikoma2.17 Event 184' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     0.905     1.000
     0.455     2.000
     0.006     3.000
     0.080     4.000
     0.248     5.000
     0.577     6.000
     0.905     7.000
     1.233     8.000
     1.562     9.000
     1.890    10.000
     2.219    11.000
     2.545    12.000
     2.874    13.000
     3.205    14.000
     3.534    15.000
     4.004    16.000
     4.338    17.000
     4.672    18.000
     5.006    19.000
     5.339    20.000
     5.635    21.000
     5.929    22.000
     6.224    23.000
     6.517    24.000
     6.810    25.000
     7.104    26.000
     7.403    27.000
     7.697    28.000
     7.990    29.000
     8.283    30.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     0.905     1.000
     0.455     2.000
     0.006     3.000
     0.080     4.000
     0.248     5.000
     0.577     6.000
     0.905     7.000
     1.233     8.000
     1.562     9.000
     1.890    10.000
     2.219    11.000
     2.545    12.000
     2.874    13.000
     3.205    14.000
     3.534    15.000
     4.004    16.000
     4.338    17.000
     4.672    18.000
     5.006    19.000
     5.339    20.000
     5.635    21.000
     5.929    22.000
     6.224    23.000
     6.517    24.000
     6.810    25.000
     7.104    26.000
     7.403    27.000
     7.697    28.000
     7.990    29.000
     8.283    30.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     3.746     9.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.646     9.000
     3.646     9.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.646     9.000
     3.646    13.000
     1.646    13.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.646     9.000
     3.646     5.000
     1.646     5.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     3.000
     1.646     3.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.646     1.000
     1.646    10.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     1.646     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    10.000
     1.646    10.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 20080614.0834.08
     9.680     2.000 Depth of minimum misfit =   3 km on  1 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
