#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=kurikoma2.17_rdp_185.ps
projection=-JX18/12
region=-R1/29/0/12
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases kurikoma2.17 Event 185' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     1.946     1.000
     1.517     2.000
     1.103     3.000
     0.718     4.000
     0.434     5.000
     0.284     6.000
     0.380     7.000
     0.555     8.000
     0.779     9.000
     1.053    10.000
     1.353    11.000
     1.664    12.000
     1.969    13.000
     2.289    14.000
     2.591    15.000
     2.839    16.000
     3.164    17.000
     3.490    18.000
     3.816    19.000
     4.143    20.000
     4.431    21.000
     4.720    22.000
     5.009    23.000
     5.298    24.000
     5.587    25.000
     5.876    26.000
     6.189    27.000
     6.488    28.000
     6.779    29.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     7.034     1.000
     5.352     2.000
     3.711     3.000
     2.128     4.000
     1.342     5.000
     0.793     6.000
     1.115     7.000
     1.634     8.000
     2.465     9.000
     3.462    10.000
     4.698    11.000
     5.934    12.000
     7.139    13.000
     8.371    14.000
     9.517    15.000
    10.456    16.000
    11.689    17.000
    12.922    18.000
    14.155    19.000
    15.388    20.000
    16.474    21.000
    17.561    22.000
    18.647    23.000
    19.733    24.000
    20.819    25.000
    21.906    26.000
    23.080    27.000
    24.206    28.000
    25.296    29.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     4.533    12.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     2.433    12.000
     4.433    12.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.433    12.000
     4.433    16.000
     2.433    16.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     4.433    12.000
     4.433     8.000
     2.433     8.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     6.000
     2.433     6.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     2.433     3.000
     2.433     9.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     3.000
     2.433     3.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     9.000
     2.433     9.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    11.280     2.000 Event 20080614.1011.56
    10.560     2.000 Depth of minimum misfit =   6 km on 14 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     9.600     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     9.120     2.000 z statistic for depth uncertainty range in red
END
