#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=kurikoma2.17_rdp_191.ps
projection=-JX18/12
region=-R1/29/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases kurikoma2.17 Event 191' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     1.164     1.000
     0.753     2.000
     0.430     3.000
     0.178     4.000
     0.302     5.000
     0.552     6.000
     0.824     7.000
     1.128     8.000
     1.444     9.000
     1.765    10.000
     2.089    11.000
     2.414    12.000
     2.741    13.000
     3.068    14.000
     3.411    15.000
     3.691    16.000
     3.986    17.000
     4.316    18.000
     4.645    19.000
     4.975    20.000
     5.267    21.000
     5.557    22.000
     5.849    23.000
     6.139    24.000
     6.430    25.000
     6.721    26.000
     7.016    27.000
     7.307    28.000
     7.599    29.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     1.902     1.000
     1.124     2.000
     0.529     3.000
     0.270     4.000
     0.487     5.000
     0.835     6.000
     1.271     7.000
     1.843     8.000
     2.416     9.000
     2.988    10.000
     3.561    11.000
     4.133    12.000
     4.705    13.000
     5.276    14.000
     5.873    15.000
     6.370    16.000
     6.876    17.000
     7.449    18.000
     8.022    19.000
     8.594    20.000
     9.101    21.000
     9.606    22.000
    10.111    23.000
    10.616    24.000
    11.121    25.000
    11.626    26.000
    12.136    27.000
    12.642    28.000
    13.147    29.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     4.010    15.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.910    15.000
     3.910    15.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.910    15.000
     3.910    18.000
     1.910    18.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.910    15.000
     3.910    12.000
     1.910    12.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     4.000
     1.910     4.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.910     1.000
     1.910     9.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     1.910     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     9.000
     1.910     9.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 20080614.1442.32
     9.680     2.000 Depth of minimum misfit =   4 km on  3 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
