#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=kurikoma2.17_rdp_200.ps
projection=-JX18/12
region=-R1/31/0/11
gmt psbasemap $region $projection -Bxa5f1+l'Focal Depth (km)' -Bya5f1+l'RMS Misfit' -BWeSn+t'Relative Depth Phases kurikoma2.17 Event 200' -K > $psfile
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     1.360     1.000
     0.911     2.000
     0.462     3.000
     0.013     4.000
     0.189     5.000
     0.140     6.000
     0.469     7.000
     0.797     8.000
     1.126     9.000
     1.455    10.000
     1.784    11.000
     2.112    12.000
     2.441    13.000
     2.772    14.000
     3.101    15.000
     3.426    16.000
     3.754    17.000
     4.082    18.000
     4.411    19.000
     4.740    20.000
     5.028    21.000
     5.317    22.000
     5.606    23.000
     5.896    24.000
     6.186    25.000
     6.475    26.000
     6.758    27.000
     7.047    28.000
     7.335    29.000
     7.623    30.000
     7.912    31.000
END
gmt psxy -: -R $projection -Wthin,red -K -O << END >> $psfile
     1.360     1.000
     0.911     2.000
     0.462     3.000
     0.013     4.000
     0.189     5.000
     0.140     6.000
     0.469     7.000
     0.797     8.000
     1.126     9.000
     1.455    10.000
     1.784    11.000
     2.112    12.000
     2.441    13.000
     2.772    14.000
     3.101    15.000
     3.426    16.000
     3.754    17.000
     4.082    18.000
     4.411    19.000
     4.740    20.000
     5.028    21.000
     5.317    22.000
     5.606    23.000
     5.896    24.000
     6.186    25.000
     6.475    26.000
     6.758    27.000
     7.047    28.000
     7.335    29.000
     7.623    30.000
     7.912    31.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,blue+a0.+jBC -K -O << END >> $psfile
     3.753    11.000 Current Depth
END
gmt psxy -: -R $projection -Wthicker,blue -K -O << END >> $psfile
     1.653    11.000
     3.653    11.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.653    11.000
     3.653    15.000
     1.653    15.000
END
gmt psxy -: -R $projection -Wthick,blue -K -O << END >> $psfile
     3.653    11.000
     3.653     7.000
     1.653     7.000
END
gmt psxy -: -R $projection -Wthicker,red -K -O << END >> $psfile
     0.000     4.000
     1.653     4.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     1.653     1.000
     1.653    11.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000     1.000
     1.653     1.000
END
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
     0.000    11.000
     1.653    11.000
END
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
    10.340     2.000 Event 20080615.0330.02
     9.680     2.000 Depth of minimum misfit =   4 km on  1 samples
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
     8.800     2.000 RMS error in black
END
gmt pstext -: -R $projection -F+f10p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
     8.360     2.000 z statistic for depth uncertainty range in red
END
