#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=kurikoma2.17_dcal.ps
projection=-JM16.0c+
region=-R137.8/144.2/36.3/41.2
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration kurikoma2.17' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m_g -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.726   141.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.726   141.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.726   141.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.726   141.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.726   141.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.726   141.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.726   141.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.726   141.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.726   141.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.726   141.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.726   141.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.726   141.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.726   141.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.726   141.138
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.722   141.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.722   141.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.722   141.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.722   141.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.722   141.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.722   141.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.722   141.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.722   141.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.722   141.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.722   141.140
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.730   141.175
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.730   141.175
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.730   141.175
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.730   141.175
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.730   141.175
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.730   141.175
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.730   141.175
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.730   141.175
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.730   141.175
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.730   141.175
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.727   141.145
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.727   141.145
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.727   141.145
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.727   141.145
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.727   141.145
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.727   141.145
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.727   141.145
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.727   141.145
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.727   141.145
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.727   141.145
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.707   141.132
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.707   141.132
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.707   141.132
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.707   141.132
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.707   141.132
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.707   141.132
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.707   141.132
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.707   141.132
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.707   141.132
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.707   141.132
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.707   141.132
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.707   141.132
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.733   141.180
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.733   141.180
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.733   141.180
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.733   141.180
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.733   141.180
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.733   141.180
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.733   141.180
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.733   141.180
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.733   141.180
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.733   141.180
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.691   141.136
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.691   141.136
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.691   141.136
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.691   141.136
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.691   141.136
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.691   141.136
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.691   141.136
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.691   141.136
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.685   141.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.685   141.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.685   141.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.685   141.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.685   141.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.685   141.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.685   141.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.685   141.075
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    39.229   140.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    39.229   140.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    39.229   140.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    39.229   140.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.718   140.102
    39.229   140.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.907   139.847
    39.229   140.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    39.229   140.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    39.229   140.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    39.229   140.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    39.229   140.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    39.229   140.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    39.229   140.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    39.229   140.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    39.229   140.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    39.229   140.716
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    39.280   140.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    39.280   140.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    39.280   140.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.718   140.102
    39.280   140.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    39.280   140.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    39.280   140.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.907   139.847
    39.280   140.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    39.280   140.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    39.280   140.722
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    39.251   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    39.251   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    39.251   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    39.251   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    39.251   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.718   140.102
    39.251   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.907   139.847
    39.251   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    39.251   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    39.251   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.645   141.968
    39.251   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.645   141.968
    39.251   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    39.251   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    39.251   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.719   141.122
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.719   141.122
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.719   141.122
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.719   141.122
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.719   141.122
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.719   141.122
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.719   141.122
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.719   141.122
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.719   141.122
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.719   141.122
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.687   140.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.687   140.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.687   140.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.687   140.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.687   140.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.687   140.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.687   140.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.907   139.847
    38.687   140.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.687   140.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.687   140.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.757   140.475
    38.687   140.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.757   140.475
    38.687   140.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.776   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.776   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.776   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.776   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.776   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.776   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.776   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.776   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.776   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.776   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.907   139.847
    38.776   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.776   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.776   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.681   141.156
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.681   141.156
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.681   141.156
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.681   141.156
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.681   141.156
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.681   141.156
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.681   141.156
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.681   141.156
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.690   141.199
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.690   141.199
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.690   141.199
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.690   141.199
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.690   141.199
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.690   141.199
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.690   141.199
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.690   141.199
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.690   141.199
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.690   141.199
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.160   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.160   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.160   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.160   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.160   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.160   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.757   140.475
    38.160   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.757   140.475
    38.160   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    38.160   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.772   140.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    38.772   140.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.772   140.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.772   140.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.772   140.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.772   140.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.772   140.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.772   140.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.772   140.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.772   140.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.772   140.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.772   140.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.774   141.030
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.774   141.030
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.774   141.030
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.774   141.030
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.774   141.030
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.774   141.030
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.774   141.030
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.774   141.030
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.774   141.030
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.774   141.030
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.774   141.030
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    38.774   141.030
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.774   141.030
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.774   141.030
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.173   140.037
    38.774   141.030
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.173   140.037
    38.774   141.030
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.567   141.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.567   141.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.567   141.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.567   141.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.567   141.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.567   141.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.567   141.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.567   141.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.715   141.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.715   141.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.715   141.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.715   141.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.715   141.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.715   141.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.715   141.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.715   141.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.715   141.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.715   141.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.715   141.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.715   141.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    38.715   141.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.715   141.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.715   141.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.173   140.037
    38.715   141.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.173   140.037
    38.715   141.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.715   141.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.715   141.080
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.727   141.193
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.727   141.193
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.727   141.193
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.727   141.193
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.727   141.193
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.727   141.193
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.727   141.193
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.727   141.193
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.727   141.193
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    38.727   141.193
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.977   140.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.977   140.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.977   140.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.977   140.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.977   140.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.718   140.102
    38.977   140.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.977   140.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.977   140.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.977   140.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.977   140.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.173   140.037
    38.977   140.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.977   140.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.977   140.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.977   140.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.977   140.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.977   140.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.977   140.459
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.421   140.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.421   140.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.421   140.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.421   140.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.421   140.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.173   140.037
    38.421   140.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.173   140.037
    38.421   140.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    38.421   140.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.421   140.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.421   140.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.421   140.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.421   140.667
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.963   141.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.963   141.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.963   141.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.963   141.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.963   141.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.963   141.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.963   141.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.963   141.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.963   141.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.963   141.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.963   141.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.963   141.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    38.963   141.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.963   141.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.963   141.007
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.993   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.993   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.993   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.993   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.993   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.993   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.993   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.993   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.993   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.993   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    38.993   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.993   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.993   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.718   140.102
    38.993   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.891   140.723
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.891   140.723
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.891   140.723
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    38.891   140.723
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.891   140.723
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.891   140.723
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.891   140.723
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.891   140.723
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.891   140.723
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.891   140.723
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.891   140.723
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.891   140.723
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.891   140.723
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.891   140.723
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.173   140.037
    38.891   140.723
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.173   140.037
    38.891   140.723
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.887   140.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    38.887   140.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    38.887   140.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.887   140.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.887   140.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.887   140.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.887   140.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.887   140.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.887   140.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.887   140.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.887   140.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.887   140.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.887   140.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.887   140.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.173   140.037
    38.887   140.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.173   140.037
    38.887   140.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.718   140.102
    38.887   140.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.773   141.125
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.773   141.125
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.773   141.125
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.773   141.125
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.773   141.125
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.773   141.125
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.773   141.125
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.773   141.125
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.773   141.125
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.773   141.125
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.773   141.125
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    38.773   141.125
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.052   140.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.052   140.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    39.052   140.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    39.052   140.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    39.052   140.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    39.052   140.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    39.052   140.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    39.052   140.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    39.052   140.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    39.052   140.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    39.052   140.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    39.052   140.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    39.052   140.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.718   140.102
    39.052   140.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    39.052   140.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    39.052   140.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.645   141.968
    39.052   140.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.645   141.968
    39.052   140.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.134   141.136
    39.055   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.055   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.055   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    39.055   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    39.055   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    39.055   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    39.055   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    39.055   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    39.055   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    39.055   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    39.055   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    39.055   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    39.055   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    39.055   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.718   140.102
    39.055   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.645   141.968
    39.055   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.645   141.968
    39.055   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.001   140.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.001   140.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    39.001   140.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    39.001   140.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    39.001   140.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    39.001   140.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    39.001   140.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    39.001   140.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    39.001   140.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    39.001   140.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    39.001   140.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    39.001   140.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    39.001   140.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.718   140.102
    39.001   140.961
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.766   141.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.766   141.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.766   141.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.766   141.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.766   141.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.766   141.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.766   141.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.766   141.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.766   141.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.766   141.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.766   141.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.766   141.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    38.766   141.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.766   141.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.766   141.146
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.297   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.297   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.297   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.297   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.297   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.297   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.757   140.475
    38.297   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.757   140.475
    38.297   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.173   140.037
    38.297   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.173   140.037
    38.297   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    38.297   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.311   140.535
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.311   140.535
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.311   140.535
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.311   140.535
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.173   140.037
    38.311   140.535
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.173   140.037
    38.311   140.535
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.311   140.535
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.311   140.535
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    38.311   140.535
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.803   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.803   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.803   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.803   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.803   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.803   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.803   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.803   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.803   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.803   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.803   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.803   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.577   141.820
    38.803   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.577   141.820
    38.803   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.803   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.803   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    38.803   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.938   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    38.938   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.938   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.938   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.938   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.938   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.938   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.938   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.938   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.938   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.938   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.938   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.938   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.715   140.103
    38.938   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.735   140.142
    38.938   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.173   140.037
    38.938   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.173   140.037
    38.938   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.955   141.002
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.955   141.002
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.955   141.002
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.955   141.002
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.955   141.002
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.955   141.002
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.955   141.002
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.955   141.002
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.697   141.167
    38.955   141.002
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    38.955   141.002
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.955   141.002
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.955   141.002
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.577   141.820
    38.955   141.002
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.577   141.820
    38.955   141.002
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.694   141.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.694   141.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.694   141.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.694   141.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.694   141.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.694   141.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.694   141.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.694   141.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.694   141.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    38.694   141.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.694   141.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.173   140.037
    38.694   141.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.173   140.037
    38.694   141.067
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.671   141.115
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.671   141.115
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.671   141.115
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.671   141.115
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.671   141.115
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.671   141.115
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.671   141.115
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.671   141.115
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.671   141.115
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.671   141.115
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.671   141.115
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.671   141.115
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    38.671   141.115
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.671   141.115
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.671   141.115
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.173   140.037
    38.671   141.115
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.173   140.037
    38.671   141.115
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.823   140.738
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.823   140.738
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.823   140.738
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    38.823   140.738
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.823   140.738
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.823   140.738
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.823   140.738
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.823   140.738
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.823   140.738
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.823   140.738
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.823   140.738
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.173   140.037
    38.823   140.738
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.823   140.738
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.823   140.738
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.829   140.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.829   140.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.829   140.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    38.829   140.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.829   140.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.829   140.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.829   140.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.829   140.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.829   140.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.829   140.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.173   140.037
    38.829   140.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.829   140.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.829   140.748
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.491   140.346
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.491   140.346
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.173   140.037
    38.491   140.346
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.173   140.037
    38.491   140.346
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.491   140.346
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.491   140.346
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    38.491   140.346
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.491   140.346
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.491   140.346
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.757   140.475
    38.491   140.346
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.491   140.346
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.768   141.172
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.768   141.172
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.768   141.172
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.768   141.172
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.768   141.172
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.768   141.172
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.768   141.172
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.768   141.172
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.768   141.172
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.768   141.172
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.768   141.172
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    38.768   141.172
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.768   141.172
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.768   141.172
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.577   141.820
    38.768   141.172
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.577   141.820
    38.768   141.172
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.838   141.031
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.425   141.303
    38.838   141.031
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.838   141.031
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.838   141.031
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.838   141.031
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.062   141.718
    38.838   141.031
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.838   141.031
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.838   141.031
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.838   141.031
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.253   140.348
    38.838   141.031
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.857   139.973
    38.838   141.031
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.338   140.173
    38.838   141.031
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.577   141.820
    38.838   141.031
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.577   141.820
    38.838   141.031
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.479   140.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.479   140.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.479   140.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.479   140.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.479   140.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.479   140.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.479   140.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.479   140.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.479   140.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.479   140.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.479   140.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.479   140.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.479   140.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.479   140.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.479   140.819
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.043   140.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.043   140.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.043   140.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.043   140.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.043   140.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.043   140.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    39.043   140.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    39.043   140.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.043   140.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.577   141.820
    39.043   140.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.577   141.820
    39.043   140.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.735   140.142
    39.043   140.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.735   140.142
    39.043   140.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.985   141.330
    39.043   140.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.985   141.330
    39.043   140.971
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.874   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.874   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.874   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.874   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.874   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.874   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.874   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.874   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.874   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.874   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.874   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.874   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.874   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.874   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.886   140.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.886   140.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.886   140.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.886   140.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.886   140.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.886   140.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.886   140.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.886   140.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.886   140.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.886   140.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.886   140.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.886   140.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.886   140.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.886   140.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.886   140.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.886   140.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.886   140.821
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.879   140.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.879   140.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.879   140.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.879   140.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.879   140.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.879   140.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.879   140.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.879   140.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.879   140.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.879   140.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.879   140.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.879   140.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.880   140.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.880   140.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.880   140.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.880   140.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.880   140.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.880   140.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.880   140.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.880   140.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.880   140.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.880   140.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.880   140.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.880   140.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.880   140.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.880   140.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.880   140.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.880   140.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.880   140.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.829   140.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.829   140.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.829   140.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.829   140.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.829   140.617
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.868   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.868   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.868   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.868   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.868   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.868   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.868   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.868   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.868   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.868   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.868   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.868   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.868   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.868   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.868   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.870   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.870   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.870   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.870   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.870   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.870   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.870   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.870   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.870   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.870   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.870   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.870   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.870   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.870   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.870   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.870   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.870   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.828   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.828   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.828   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.828   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.828   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.828   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.828   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.828   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.828   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.828   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.828   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.828   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.828   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.876   140.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.876   140.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.876   140.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.876   140.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.876   140.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.876   140.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.876   140.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.876   140.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.876   140.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.876   140.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.876   140.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.876   140.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.876   140.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.876   140.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.876   140.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.876   140.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.876   140.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.876   140.639
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.889   140.621
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.889   140.621
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.889   140.621
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.889   140.621
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.889   140.621
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.889   140.621
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.889   140.621
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.889   140.621
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.889   140.621
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.889   140.621
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.889   140.621
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.889   140.621
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.889   140.621
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.874   140.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.874   140.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.874   140.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.874   140.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.874   140.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.874   140.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.874   140.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.874   140.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.874   140.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.874   140.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.874   140.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.874   140.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.874   140.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.874   140.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.874   140.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.874   140.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.874   140.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.874   140.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.874   140.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.874   140.657
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.894   140.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.894   140.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.894   140.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.894   140.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.894   140.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.894   140.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.894   140.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.894   140.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.894   140.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.894   140.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.894   140.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.846   140.634
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.846   140.634
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.846   140.634
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.846   140.634
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.846   140.634
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.846   140.634
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.846   140.634
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.846   140.634
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.846   140.634
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.846   140.634
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.846   140.634
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.846   140.634
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.846   140.634
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.846   140.634
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.846   140.634
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.846   140.634
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.846   140.634
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.846   140.634
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.846   140.634
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.846   140.634
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.846   140.634
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.937   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.937   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.937   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.937   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.937   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.937   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.937   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.937   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.937   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.937   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.937   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.937   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.937   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.937   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.937   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.937   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.937   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.906   140.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.906   140.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.906   140.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.906   140.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.906   140.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.906   140.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.906   140.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.906   140.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.906   140.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.906   140.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.906   140.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.906   140.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.906   140.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.906   140.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.906   140.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.906   140.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.906   140.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.906   140.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.906   140.619
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.880   140.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.880   140.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.880   140.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.880   140.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.880   140.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.880   140.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.880   140.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.880   140.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.880   140.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.880   140.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.880   140.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.880   140.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.880   140.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.880   140.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.880   140.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.856   140.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.856   140.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.856   140.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.856   140.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.856   140.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.856   140.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.856   140.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.856   140.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.856   140.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.856   140.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.856   140.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.856   140.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.856   140.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.856   140.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.856   140.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.856   140.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.856   140.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.856   140.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.856   140.628
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.869   140.647
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.869   140.647
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.869   140.647
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.869   140.647
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.869   140.647
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.869   140.647
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.869   140.647
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.869   140.647
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.869   140.647
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.869   140.647
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.869   140.647
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.869   140.647
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.869   140.647
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.869   140.647
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.869   140.647
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.869   140.647
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.869   140.647
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.902   140.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.902   140.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.902   140.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.902   140.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.902   140.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.902   140.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.902   140.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.902   140.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.902   140.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.902   140.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.902   140.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.902   140.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.902   140.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.902   140.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.902   140.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.902   140.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.902   140.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.902   140.610
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.834   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.834   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.834   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.834   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.834   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.834   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.834   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.834   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.834   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.834   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.834   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.834   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.834   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.834   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.834   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.834   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.834   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.834   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.834   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.834   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.834   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.834   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.858   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.858   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.858   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.858   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.858   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.858   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.858   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.858   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.858   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.858   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.858   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.858   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.858   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.858   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.858   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.858   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.858   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.858   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.848   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.848   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.848   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.848   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.848   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.848   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.848   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.848   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.848   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.848   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.848   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.848   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.848   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.848   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.848   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.848   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.848   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.848   140.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.889   140.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.889   140.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.889   140.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.889   140.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.889   140.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.889   140.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.889   140.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.889   140.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.889   140.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.889   140.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.889   140.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.889   140.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.889   140.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.889   140.646
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.862   140.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.862   140.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.862   140.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.260   140.900
    38.862   140.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.862   140.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.862   140.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.862   140.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.862   140.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.862   140.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.820   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.820   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.820   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.820   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.820   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.820   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.820   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.820   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.820   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.820   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.820   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.820   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.820   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.820   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.820   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.820   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.820   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.820   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.820   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.820   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.820   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.820   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.828   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.828   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.828   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.828   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.828   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.828   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.828   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.828   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.828   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.828   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.828   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.828   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.828   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.828   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.828   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.828   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.828   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.828   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.828   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.828   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.828   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.836   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.836   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.836   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.836   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.836   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.836   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.836   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.836   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.836   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.836   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.816   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.816   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.816   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.816   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.816   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.816   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.816   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.816   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.816   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.816   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.816   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.816   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.816   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.816   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.816   140.649
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.857   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.857   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.857   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.857   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.857   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.857   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.857   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.857   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.857   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.857   140.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.907   140.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.907   140.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.907   140.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.907   140.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.907   140.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.907   140.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.907   140.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.867   140.672
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.867   140.672
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.867   140.672
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.867   140.672
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.867   140.672
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.867   140.672
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.867   140.672
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.867   140.672
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.867   140.672
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.867   140.672
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.867   140.672
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.884   140.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.884   140.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.884   140.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.884   140.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.884   140.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.884   140.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.884   140.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.884   140.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.884   140.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.884   140.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.884   140.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.884   140.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.884   140.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.884   140.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.884   140.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.884   140.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.884   140.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.884   140.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.884   140.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.884   140.666
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.950   140.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.950   140.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.950   140.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.950   140.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.950   140.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.950   140.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.950   140.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.950   140.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.950   140.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.950   140.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.950   140.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.950   140.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.950   140.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.950   140.581
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.883   140.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.883   140.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.883   140.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.883   140.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.883   140.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.883   140.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.883   140.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.883   140.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.883   140.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.883   140.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.883   140.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.883   140.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.883   140.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.883   140.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.883   140.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.883   140.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.883   140.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.883   140.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.883   140.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.959   140.572
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.959   140.572
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.959   140.572
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.959   140.572
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.959   140.572
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.959   140.572
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.959   140.572
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.959   140.572
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.959   140.572
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.959   140.572
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.959   140.572
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.959   140.572
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.959   140.572
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.959   140.572
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.959   140.572
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.959   140.572
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.959   140.572
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.959   140.572
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.959   140.572
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.960   140.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.960   140.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.960   140.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.960   140.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.960   140.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.960   140.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.960   140.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.960   140.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.960   140.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.960   140.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.960   140.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.960   140.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.960   140.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.960   140.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.960   140.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.960   140.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.960   140.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.960   140.574
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.813   140.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.813   140.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.813   140.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.813   140.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.813   140.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.813   140.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.813   140.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.813   140.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.813   140.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.813   140.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.813   140.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.813   140.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.813   140.585
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.807   140.592
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.807   140.592
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.807   140.592
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.807   140.592
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.807   140.592
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.807   140.592
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.807   140.592
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.807   140.592
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.807   140.592
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.807   140.592
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.807   140.592
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.807   140.592
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.807   140.592
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.807   140.592
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.807   140.592
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.807   140.592
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.807   140.592
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.807   140.592
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.807   140.592
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.807   140.592
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.909   140.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.909   140.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.909   140.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.909   140.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.909   140.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.909   140.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.909   140.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.909   140.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.909   140.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.909   140.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.909   140.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.909   140.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.909   140.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.909   140.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.909   140.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.909   140.618
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.810   140.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.810   140.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.810   140.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.810   140.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.810   140.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.810   140.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.810   140.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.810   140.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.810   140.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.810   140.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.810   140.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.810   140.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.810   140.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.810   140.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.810   140.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.810   140.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.810   140.588
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.896   140.624
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.896   140.624
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.896   140.624
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.896   140.624
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.896   140.624
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.896   140.624
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.896   140.624
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.896   140.624
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.896   140.624
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.896   140.624
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.896   140.624
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.896   140.624
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.896   140.624
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.896   140.624
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.893   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.893   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.893   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.893   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.893   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.893   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.893   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.893   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.893   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.893   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.893   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.893   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.893   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.893   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.893   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.893   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.893   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.893   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.893   140.645
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.902   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.902   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.902   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.902   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.902   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.902   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.902   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.902   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.902   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.902   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.902   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.902   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.902   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.902   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.902   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.902   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.902   140.633
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.865   140.674
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.865   140.674
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.865   140.674
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.865   140.674
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.865   140.674
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.865   140.674
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.865   140.674
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.865   140.674
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.865   140.674
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.865   140.674
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.865   140.674
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.865   140.674
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.865   140.674
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.865   140.674
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.865   140.674
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.865   140.674
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.865   140.674
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.865   140.674
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.865   140.674
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.865   140.674
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.888   140.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.888   140.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.888   140.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.888   140.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.888   140.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.888   140.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.888   140.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.888   140.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.888   140.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.888   140.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.888   140.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.888   140.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.888   140.651
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.888   140.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.888   140.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.888   140.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.888   140.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.888   140.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.888   140.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.888   140.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.888   140.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.888   140.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.888   140.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.888   140.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.888   140.675
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.865   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.865   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.865   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.865   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.865   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.865   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.865   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.865   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.865   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.865   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.865   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.865   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.865   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.865   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.865   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.865   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.865   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.865   140.644
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.888   140.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.888   140.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.888   140.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.888   140.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.888   140.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.888   140.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.888   140.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.888   140.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.888   140.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.888   140.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.888   140.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.888   140.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.888   140.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.888   140.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.888   140.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.888   140.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.888   140.613
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.850   140.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.850   140.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.850   140.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.850   140.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.850   140.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.850   140.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.850   140.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.850   140.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.850   140.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.850   140.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.850   140.694
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.887   141.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.887   141.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.887   141.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.887   141.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.887   141.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.887   141.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.887   141.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.887   141.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.887   141.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.887   141.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.887   141.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.887   141.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.887   141.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.887   141.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.599   141.324
    38.887   141.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.577   141.820
    38.887   141.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.577   141.820
    38.887   141.024
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.271   140.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.271   140.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.271   140.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.271   140.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.271   140.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.271   140.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.271   140.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.271   140.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.271   140.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.271   140.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.271   140.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.518   140.337
    38.271   140.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.518   140.337
    38.271   140.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.271   140.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.271   140.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.367   140.874
    38.271   140.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.367   140.874
    38.271   140.767
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.290   140.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.290   140.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.290   140.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.290   140.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.290   140.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.290   140.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.290   140.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.290   140.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.290   140.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.290   140.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.290   140.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.290   140.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.518   140.337
    38.290   140.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.518   140.337
    38.290   140.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.367   140.874
    38.290   140.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.367   140.874
    38.290   140.752
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.274   140.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.274   140.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.274   140.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.274   140.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.274   140.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.274   140.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.274   140.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.274   140.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.274   140.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.274   140.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.274   140.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.518   140.337
    38.274   140.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.518   140.337
    38.274   140.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.367   140.874
    38.274   140.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.367   140.874
    38.274   140.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.274   140.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.274   140.768
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.785   140.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.785   140.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.785   140.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.785   140.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.785   140.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.785   140.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.785   140.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.785   140.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.785   140.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.785   140.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.785   140.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.785   140.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.785   140.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.785   140.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.785   140.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.540   140.208
    38.785   140.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.785   140.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.785   140.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.195   139.557
    38.785   140.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.195   139.557
    38.785   140.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.282   140.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.282   140.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.282   140.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.282   140.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.282   140.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.282   140.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.282   140.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.282   140.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.282   140.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.282   140.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.518   140.337
    38.282   140.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.282   140.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.282   140.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.367   140.874
    38.282   140.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.367   140.874
    38.282   140.769
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.019   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.019   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.019   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.019   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.019   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.019   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.019   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.019   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.019   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.019   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.019   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.019   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.019   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.019   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.540   140.208
    39.019   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.540   140.208
    39.019   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.875   141.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.875   141.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.875   141.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.875   141.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.875   141.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.875   141.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.875   141.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.875   141.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.875   141.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.875   141.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.875   141.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.875   141.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.875   141.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.875   141.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.540   140.208
    38.875   141.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.875   141.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.875   141.026
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.874   140.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.874   140.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.874   140.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.874   140.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.874   140.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.874   140.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.874   140.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.874   140.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.874   140.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.874   140.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.874   140.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.540   140.208
    38.874   140.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.540   140.208
    38.874   140.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.874   140.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.874   140.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.874   140.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.874   140.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.874   140.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.874   140.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.195   139.557
    38.874   140.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.195   139.557
    38.874   140.682
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.024   140.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.024   140.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.024   140.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.024   140.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.024   140.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.024   140.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.024   140.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.024   140.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.024   140.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.024   140.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.024   140.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.024   140.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.024   140.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.540   140.208
    39.024   140.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.540   140.208
    39.024   140.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.577   141.820
    39.024   140.924
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.018   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.018   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.018   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.018   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.018   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.018   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.018   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.018   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.018   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.018   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.018   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.018   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.018   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.018   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.540   140.208
    39.018   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.540   140.208
    39.018   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.577   141.820
    39.018   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.022   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.022   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.022   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.022   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.022   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.022   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.022   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.022   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.022   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.022   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.022   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.022   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.540   140.208
    39.022   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.577   141.820
    39.022   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.983   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.983   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.983   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.983   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.983   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.983   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.983   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.983   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.983   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.983   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.983   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.983   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.983   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.540   140.208
    38.983   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.577   141.820
    38.983   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.758   140.701
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.758   140.701
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.758   140.701
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.758   140.701
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.758   140.701
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.758   140.701
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.758   140.701
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.758   140.701
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.758   140.701
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.758   140.701
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.758   140.701
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.758   140.701
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.758   140.701
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.758   140.701
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.758   140.701
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.609   141.144
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.609   141.144
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.609   141.144
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.609   141.144
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.609   141.144
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.609   141.144
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.609   141.144
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.609   141.144
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.609   141.144
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.609   141.144
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.609   141.144
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.609   141.144
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.609   141.144
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.609   141.144
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.609   141.144
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.609   141.144
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.770   141.128
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.770   141.128
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.770   141.128
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.770   141.128
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.770   141.128
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.770   141.128
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.770   141.128
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.770   141.128
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.770   141.128
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.770   141.128
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.770   141.128
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.770   141.128
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.770   141.128
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.770   141.128
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.714   141.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.714   141.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.714   141.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.714   141.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.714   141.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.714   141.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.714   141.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.714   141.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.714   141.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.714   141.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.714   141.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.714   141.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.714   141.134
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.472   140.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.472   140.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.472   140.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.472   140.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.472   140.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.472   140.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.472   140.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.472   140.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.472   140.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.472   140.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.472   140.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.472   140.530
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.045   140.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.045   140.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.045   140.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.045   140.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.045   140.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.045   140.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.045   140.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.045   140.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.045   140.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.045   140.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.045   140.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.045   140.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.435   141.162
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.435   141.162
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.435   141.162
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.435   141.162
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.435   141.162
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.435   141.162
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.435   141.162
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.435   141.162
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.435   141.162
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.435   141.162
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.435   141.162
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.397   141.155
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.397   141.155
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.397   141.155
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.397   141.155
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.397   141.155
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.397   141.155
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.397   141.155
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.397   141.155
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.397   141.155
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.397   141.155
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.397   141.155
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.397   141.155
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.397   141.155
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.426   141.165
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.426   141.165
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.426   141.165
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.426   141.165
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.426   141.165
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.426   141.165
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.426   141.165
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.426   141.165
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.426   141.165
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.469   141.165
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.469   141.165
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.469   141.165
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.469   141.165
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.469   141.165
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.471   141.166
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.471   141.166
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.471   141.166
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.471   141.166
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.471   141.166
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.420   141.201
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.420   141.201
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.420   141.201
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.420   141.201
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.420   141.201
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.420   141.201
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.420   141.201
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.420   141.201
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.485   141.177
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.485   141.177
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.485   141.177
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.485   141.177
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.485   141.177
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.485   141.177
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.485   141.177
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.485   141.177
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.485   141.177
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.485   141.177
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.485   141.177
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.485   141.177
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.485   141.177
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.469   141.187
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.469   141.187
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.469   141.187
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.469   141.187
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.469   141.187
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.478   141.222
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.478   141.222
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.478   141.222
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.478   141.222
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.478   141.222
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.478   141.222
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.478   141.222
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.478   141.222
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.478   141.222
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.478   141.222
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.478   141.222
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.478   141.222
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.473   141.168
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.473   141.168
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.473   141.168
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.473   141.168
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.473   141.168
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.473   141.168
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.473   141.168
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.473   141.168
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.476   141.159
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.476   141.159
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.476   141.159
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.476   141.159
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.476   141.159
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.476   141.159
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.476   141.159
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.476   141.159
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.428   141.194
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.428   141.194
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.428   141.194
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.428   141.194
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.428   141.194
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.497   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.497   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.497   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.497   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.497   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.497   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.497   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.497   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.497   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.497   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.497   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.497   141.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.508   141.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.508   141.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.508   141.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.508   141.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.508   141.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.508   141.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.508   141.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.508   141.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.508   141.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.508   141.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.508   141.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.508   141.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.508   141.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.508   141.186
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.486   141.212
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.486   141.212
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.486   141.212
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.486   141.212
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.486   141.212
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.486   141.212
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.486   141.212
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.486   141.212
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.474   141.169
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.474   141.169
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.474   141.169
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.474   141.169
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.474   141.169
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.474   141.169
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.474   141.169
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.474   141.169
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.474   141.169
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.474   141.169
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.474   141.169
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.474   141.169
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.392   141.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.392   141.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.392   141.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.392   141.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.392   141.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.392   141.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.392   141.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.392   141.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.392   141.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.392   141.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.392   141.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.392   141.171
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.530   141.229
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.530   141.229
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.530   141.229
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.530   141.229
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.530   141.229
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.530   141.229
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.530   141.229
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.530   141.229
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.530   141.229
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.530   141.229
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.530   141.229
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.530   141.229
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.530   141.229
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.463   141.177
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.463   141.177
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.463   141.177
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.463   141.177
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.463   141.177
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.463   141.177
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.463   141.177
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.463   141.177
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.463   141.177
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.463   141.177
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.463   141.177
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.463   141.177
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.507   141.180
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.507   141.180
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.507   141.180
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.507   141.180
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.507   141.180
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.507   141.180
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.507   141.180
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.507   141.180
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.507   141.180
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.507   141.180
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.507   141.180
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.507   141.180
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.049   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.049   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.049   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.049   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.049   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.049   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.049   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.049   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.049   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.049   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.049   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.049   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.474   141.163
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.474   141.163
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.474   141.163
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.474   141.163
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.474   141.163
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.474   141.163
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.474   141.163
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.474   141.163
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.474   141.163
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.474   141.163
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.474   141.163
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.474   141.163
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.474   141.163
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.474   141.163
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.493   141.192
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.493   141.192
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.493   141.192
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.493   141.192
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.493   141.192
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.493   141.192
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.493   141.192
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.493   141.192
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.493   141.192
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.493   141.192
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.493   141.192
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.493   141.192
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.493   141.192
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.390   141.168
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.390   141.168
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.390   141.168
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.390   141.168
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.390   141.168
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.390   141.168
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.390   141.168
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.390   141.168
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.390   141.168
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.390   141.168
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.390   141.168
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.390   141.168
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.461   141.215
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.461   141.215
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.461   141.215
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.461   141.215
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.461   141.215
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.461   141.215
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.461   141.215
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.461   141.215
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.461   141.215
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.461   141.215
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.461   141.215
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.461   141.215
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.461   141.215
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.083   140.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.083   140.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.083   140.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.083   140.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.083   140.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.083   140.850
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.975   140.627
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.975   140.627
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.975   140.627
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.975   140.627
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.975   140.627
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.975   140.627
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.975   140.627
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.975   140.627
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.975   140.627
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.975   140.627
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.975   140.627
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.975   140.627
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.975   140.627
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.975   140.627
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.392   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.392   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.392   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.392   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.392   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.392   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.392   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.392   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.392   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.392   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.392   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.392   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.392   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.518   140.337
    38.392   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.518   140.337
    38.392   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.202   141.173
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.202   141.173
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.202   141.173
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.202   141.173
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.202   141.173
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.202   141.173
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.202   141.173
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.367   140.874
    38.202   141.173
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.367   140.874
    38.202   141.173
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.202   141.173
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.202   141.173
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.518   140.337
    38.202   141.173
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.202   141.173
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.202   141.173
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.200   141.154
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.200   141.154
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.200   141.154
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.200   141.154
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.200   141.154
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.200   141.154
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.200   141.154
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.367   140.874
    38.200   141.154
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.200   141.154
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.200   141.154
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.422   141.123
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.422   141.123
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.422   141.123
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.422   141.123
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.422   141.123
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.422   141.123
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.422   141.123
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.422   141.123
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.422   141.123
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.422   141.123
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.422   141.123
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.422   141.123
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.422   141.123
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.985   140.600
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.985   140.600
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.985   140.600
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.985   140.600
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.985   140.600
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.985   140.600
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.985   140.600
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.985   140.600
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.985   140.600
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.985   140.600
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.985   140.600
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.985   140.600
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.985   140.600
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.985   140.600
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.985   140.600
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.985   140.600
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.047   140.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.047   140.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.047   140.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.047   140.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.047   140.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.047   140.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.047   140.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.047   140.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.047   140.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.540   140.208
    39.047   140.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.047   140.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.577   141.820
    39.047   140.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.117   140.957
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.117   140.957
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.117   140.957
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.117   140.957
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.117   140.957
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.117   140.957
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.117   140.957
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.117   140.957
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.117   140.957
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.117   140.957
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.117   140.957
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.117   140.957
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.577   141.820
    39.117   140.957
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.577   141.820
    39.117   140.957
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.113   141.039
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.113   141.039
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.113   141.039
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.113   141.039
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.113   141.039
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.113   141.039
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.144   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.144   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.144   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.144   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.144   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.144   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.144   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.144   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.144   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.144   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.144   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.144   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.144   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.144   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.901   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.901   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.901   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.901   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.901   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.901   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.901   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.901   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.901   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.901   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.901   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.901   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.901   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.901   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.901   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.901   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.901   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.017   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.017   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.017   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.017   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.017   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.017   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.017   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.017   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.017   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.017   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.017   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.107   140.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.107   140.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.107   140.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.107   140.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.107   140.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.107   140.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.107   140.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.107   140.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.107   140.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.107   140.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.821   140.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.821   140.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.821   140.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.821   140.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.821   140.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.821   140.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.821   140.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.821   140.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.821   140.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.821   140.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.821   140.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.821   140.833
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.143   140.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.143   140.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.143   140.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.143   140.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.143   140.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.143   140.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.143   140.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.143   140.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.143   140.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.143   140.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.143   140.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.143   140.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.896   140.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.896   140.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.896   140.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.896   140.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.896   140.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.896   140.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.896   140.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.896   140.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.896   140.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.896   140.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.030   140.897
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.030   140.897
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.030   140.897
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.030   140.897
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.030   140.897
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.030   140.897
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.030   140.897
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.030   140.897
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.030   140.897
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.905   140.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.905   140.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.905   140.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.905   140.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.905   140.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.905   140.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.905   140.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.905   140.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.905   140.739
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.092   140.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.092   140.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.092   140.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.092   140.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.092   140.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.092   140.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.092   140.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.092   140.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.092   140.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.092   140.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.092   140.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.092   140.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.092   140.948
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.125   140.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.125   140.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.125   140.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.125   140.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.125   140.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.125   140.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.125   140.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.125   140.978
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.043   140.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.043   140.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.043   140.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.043   140.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.043   140.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.043   140.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.043   140.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.043   140.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.043   140.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.043   140.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.043   140.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.043   140.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.043   140.941
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.909   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.909   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.909   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.909   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.909   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.909   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.909   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.909   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.909   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.909   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.909   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.909   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.909   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.909   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.909   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.909   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.909   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.909   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.070   141.037
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.070   141.037
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.070   141.037
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.070   141.037
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.070   141.037
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.070   141.037
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.070   141.037
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.088   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.088   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.088   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.088   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.088   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.088   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.088   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.088   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.088   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.088   140.905
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.078   141.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.078   141.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.078   141.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.078   141.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.078   141.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.078   141.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.078   141.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.078   141.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.078   141.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.078   141.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.078   141.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.078   141.011
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.102   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.102   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.102   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.102   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.102   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.102   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.102   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.102   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.102   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.102   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.028   140.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.028   140.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.028   140.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.028   140.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.028   140.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.028   140.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.028   140.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.028   140.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.028   140.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.028   140.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.028   140.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.028   140.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.028   140.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.028   140.909
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.107   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.107   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.107   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.107   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.107   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.107   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.107   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.107   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.107   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.107   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.107   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.107   140.954
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.940   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.940   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.940   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.940   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.940   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.940   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.940   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.940   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.940   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.940   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.940   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.940   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.940   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.940   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.940   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.940   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.940   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.940   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.108   140.956
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.108   140.956
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.108   140.956
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.108   140.956
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.108   140.956
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.108   140.956
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.108   140.956
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.108   140.956
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.108   140.956
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.108   140.956
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.108   140.956
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.108   140.956
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.108   140.956
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.871   140.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.871   140.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.871   140.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.871   140.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.871   140.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.871   140.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.871   140.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.871   140.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.871   140.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.871   140.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.871   140.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.871   140.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.871   140.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.871   140.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.871   140.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.871   140.894
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.879   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.879   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.879   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.879   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.879   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.879   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.879   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.879   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.879   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.104   140.917
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.104   140.917
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.104   140.917
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.104   140.917
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.104   140.917
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.104   140.917
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.104   140.917
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.104   140.917
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.104   140.917
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.104   140.917
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.104   140.917
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.060   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.060   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.060   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.060   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.060   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.060   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.140   140.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.140   140.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.140   140.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.140   140.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.140   140.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.140   140.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.140   140.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.540   140.208
    39.140   140.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.140   140.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.140   140.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.140   140.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.140   140.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.577   141.820
    39.140   140.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.985   141.330
    39.140   140.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.999   140.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.999   140.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.999   140.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.999   140.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.999   140.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.999   140.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.096   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.096   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.096   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.096   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.096   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.096   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.096   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.096   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.096   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.096   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.096   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.096   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.096   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.096   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.059   140.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.059   140.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.059   140.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.059   140.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.059   140.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.059   140.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.059   140.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.059   140.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.059   140.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.059   140.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.059   140.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.059   140.882
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.109   140.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.109   140.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.109   140.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.109   140.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.109   140.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.109   140.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.109   140.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.109   140.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.109   140.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.109   140.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.109   140.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.109   140.951
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.117   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.117   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.117   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.117   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.117   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.117   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.117   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.117   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.117   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.117   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.117   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.117   140.965
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.973   140.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.973   140.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.973   140.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.973   140.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.973   140.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.973   140.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.973   140.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.973   140.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.973   140.916
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.108   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.108   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.108   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.108   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.108   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.108   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.108   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.142   140.943
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.142   140.943
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.142   140.943
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.142   140.943
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.142   140.943
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.142   140.943
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.142   140.943
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.142   140.943
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.142   140.943
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.142   140.943
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.142   140.943
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.142   140.943
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.142   140.943
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.860   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.860   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.860   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.860   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.860   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.860   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.860   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.860   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.860   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.860   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.860   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.860   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.860   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.860   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.860   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.860   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.860   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.860   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.871   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.871   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.871   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.871   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.871   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.871   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.871   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.871   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.871   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.871   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.871   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.871   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.871   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.871   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.127   140.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.127   140.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.127   140.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.127   140.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.127   140.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.127   140.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.127   140.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.127   140.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.127   140.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.127   140.928
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.124   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.124   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.124   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.124   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.124   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.124   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.124   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.124   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.124   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.124   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.124   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.124   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.124   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.896   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.896   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.896   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.896   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.896   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.896   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.896   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.896   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.896   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.896   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.896   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.896   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.896   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.149   140.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.149   140.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.149   140.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.149   140.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.149   140.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.149   140.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.149   140.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.149   140.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.149   140.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.149   140.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.149   140.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.149   140.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.149   140.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.149   140.955
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.977   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.977   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.977   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.977   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.977   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.977   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.977   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.977   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.977   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.013   140.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.013   140.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.013   140.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.013   140.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.013   140.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.013   140.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.013   140.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.013   140.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.013   140.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.013   140.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.013   140.967
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.086   140.999
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.086   140.999
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.086   140.999
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.086   140.999
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.086   140.999
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.086   140.999
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.086   140.999
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.086   140.999
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.086   140.999
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.086   140.999
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.086   140.999
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.086   140.999
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.878   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.878   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.878   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.878   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.878   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.878   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.878   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.878   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.878   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.878   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.878   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.878   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.878   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.878   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.878   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.156   140.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.156   140.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.156   140.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.156   140.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.156   140.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.156   140.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.156   140.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.156   140.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.156   140.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.156   140.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.156   140.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.156   140.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.159   140.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.159   140.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.159   140.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.159   140.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.159   140.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.159   140.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.159   140.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.159   140.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.159   140.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.159   140.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.159   140.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.159   140.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.788   140.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.788   140.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.788   140.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.788   140.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.788   140.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.788   140.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.788   140.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.788   140.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.788   140.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.788   140.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.788   140.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.788   140.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.788   140.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.788   140.807
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.755   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.755   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.755   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.755   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.755   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.755   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.755   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.755   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.755   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.755   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.755   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.755   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.755   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.755   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.755   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.755   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.755   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.126   140.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.126   140.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.126   140.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.126   140.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.126   140.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.126   140.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.126   140.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.126   140.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.126   140.932
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.165   140.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.165   140.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.165   140.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.165   140.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.165   140.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.165   140.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.165   140.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.165   140.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.165   140.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.165   140.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.165   140.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.165   140.986
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.129   140.923
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.129   140.923
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.129   140.923
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.129   140.923
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.129   140.923
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.129   140.923
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.129   140.923
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.129   140.923
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.129   140.923
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.129   140.923
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.129   140.923
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.129   140.923
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.129   140.923
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.145   140.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.145   140.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.145   140.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.145   140.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.145   140.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.145   140.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.145   140.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.145   140.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.145   140.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.145   140.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.145   140.969
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.105   140.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.105   140.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.105   140.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.105   140.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.105   140.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.105   140.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.105   140.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.105   140.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.105   140.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.105   140.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.105   140.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.105   140.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.105   140.944
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.127   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.127   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.127   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.127   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.127   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.127   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.127   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.127   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.127   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.127   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.127   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.127   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.158   140.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.158   140.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.158   140.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.158   140.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.158   140.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.158   140.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.158   140.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.158   140.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.158   140.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.158   140.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.158   140.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.158   140.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.158   140.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.186   140.977
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.186   140.977
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.186   140.977
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.186   140.977
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.186   140.977
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.186   140.977
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.186   140.977
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.186   140.977
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.186   140.977
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.186   140.977
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.186   140.977
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.186   140.977
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.186   140.977
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.987   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.987   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.987   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.987   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.540   140.208
    38.987   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.987   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.987   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.987   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.987   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.195   139.557
    38.987   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.987   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.987   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.914   140.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.914   140.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.914   140.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.914   140.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.914   140.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.914   140.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.914   140.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.914   140.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.914   140.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.914   140.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.914   140.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.914   140.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.914   140.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.914   140.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.914   140.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.914   140.871
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.060   140.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.060   140.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.060   140.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.060   140.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.060   140.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.060   140.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.060   140.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.060   140.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.060   140.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.060   140.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.060   140.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    39.060   140.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    39.060   140.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.088   140.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.088   140.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.088   140.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.088   140.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.088   140.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.088   140.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.088   140.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.088   140.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.088   140.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.088   140.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.088   140.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.088   140.963
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.134   140.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.134   140.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.134   140.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.134   140.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.134   140.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.134   140.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.134   140.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.134   140.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.134   140.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.134   140.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.134   140.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.134   140.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.134   140.966
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.153   140.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.153   140.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.153   140.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.153   140.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.153   140.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.153   140.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.153   140.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.153   140.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.153   140.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.153   140.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.153   140.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.153   140.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.153   140.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.791   140.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.791   140.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.791   140.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.791   140.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.791   140.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.791   140.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.791   140.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.791   140.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.791   140.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.791   140.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.791   140.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.791   140.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.791   140.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.791   140.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.791   140.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.791   140.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.791   140.801
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.902   140.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.902   140.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.902   140.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.902   140.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.902   140.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.902   140.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.902   140.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.902   140.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.902   140.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.902   140.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.902   140.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.902   140.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.902   140.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.902   140.591
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.834   140.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.834   140.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.834   140.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.834   140.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.834   140.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.834   140.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.834   140.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.834   140.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.834   140.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.834   140.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.834   140.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.834   140.846
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.103   140.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.103   140.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.103   140.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.103   140.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.103   140.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.103   140.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.103   140.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.103   140.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.103   140.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.103   140.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.103   140.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.103   140.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.167   140.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.167   140.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.167   140.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.167   140.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.167   140.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.167   140.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.167   140.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.167   140.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.167   140.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.167   140.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.167   140.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.167   140.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.167   140.984
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.043   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.043   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.043   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.043   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.043   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.043   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.043   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.043   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.043   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.043   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.043   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.043   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.100   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.100   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.100   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.100   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.100   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.100   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.100   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.100   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.100   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.100   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.100   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.100   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.100   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.100   140.947
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.046   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.046   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.046   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.046   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.046   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.046   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.046   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.046   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.046   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.046   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.046   140.910
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.164   140.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.164   140.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.164   140.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.164   140.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.164   140.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.164   140.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.164   140.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.164   140.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.164   140.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.164   140.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.164   140.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.164   140.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.171   140.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.171   140.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.171   140.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.171   140.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.171   140.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.171   140.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.171   140.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.171   140.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.171   140.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.171   140.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.171   140.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.171   140.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.171   140.974
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.940   140.921
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.940   140.921
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.940   140.921
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.940   140.921
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.940   140.921
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.940   140.921
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.940   140.921
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.940   140.921
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.940   140.921
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.940   140.921
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.940   140.921
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.940   140.921
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.119   141.006
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.119   141.006
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.119   141.006
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.119   141.006
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.119   141.006
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.119   141.006
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.119   141.006
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.119   141.006
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.119   141.006
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.119   141.006
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.038   140.899
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.038   140.899
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.038   140.899
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.038   140.899
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.038   140.899
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.038   140.899
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.038   140.899
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.038   140.899
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.038   140.899
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.038   140.899
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.038   140.899
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.038   140.899
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.856   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.856   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.856   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.856   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.856   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.856   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.856   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.856   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.856   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.856   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.856   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.856   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.856   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.856   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.856   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.856   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.856   140.831
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.080   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.080   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.080   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.080   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.080   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.080   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.080   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.080   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.080   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.080   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.080   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.080   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.080   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.749   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.749   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.749   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.749   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.749   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.749   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.749   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.749   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.749   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.749   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.749   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.749   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.749   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.749   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.749   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.749   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.749   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.742   140.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.742   140.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.742   140.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.742   140.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.742   140.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.742   140.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.742   140.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.742   140.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.742   140.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.742   140.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.742   140.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.742   140.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.742   140.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.742   140.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.742   140.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.742   140.779
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.751   140.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.751   140.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.751   140.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.751   140.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.751   140.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.751   140.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.751   140.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.751   140.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.751   140.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.751   140.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.751   140.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.751   140.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.751   140.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.751   140.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.751   140.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.751   140.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.751   140.762
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.734   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.734   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.734   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.734   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.734   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.734   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.734   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.734   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.734   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.734   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.734   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.734   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.734   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.734   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.734   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.734   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.734   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.743   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.743   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.743   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.743   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.743   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.743   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.743   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.743   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.743   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.743   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.743   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.743   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.743   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.743   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.743   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.743   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.743   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.743   140.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.880   140.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.880   140.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.880   140.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.880   140.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.880   140.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.880   140.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.880   140.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.880   140.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.880   140.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.880   140.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.880   140.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.880   140.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.880   140.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.880   140.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.880   140.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.880   140.757
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.949   140.665
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.949   140.665
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.949   140.665
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.949   140.665
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.949   140.665
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.949   140.665
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.949   140.665
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.949   140.665
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.949   140.665
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.949   140.665
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.949   140.665
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.949   140.665
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.949   140.665
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.949   140.665
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.949   140.665
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.110   140.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.110   140.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.110   140.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.110   140.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.110   140.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.110   140.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.110   140.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.110   140.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.110   140.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.110   140.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.110   140.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.110   140.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.065   140.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.065   140.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.065   140.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.065   140.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.065   140.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.065   140.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.065   140.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.065   140.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.065   140.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.065   140.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.065   140.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.065   140.968
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.874   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.874   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.874   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.874   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.874   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.874   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.874   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.874   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.874   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.874   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.874   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.874   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.874   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.874   140.785
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.164   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.164   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.164   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.164   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.164   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.164   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.164   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.164   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.164   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.164   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.164   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.164   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.129   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.129   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.129   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.129   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.129   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.129   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.129   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.129   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.129   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.129   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.129   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.129   140.915
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.111   140.877
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.111   140.877
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.111   140.877
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.111   140.877
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.111   140.877
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.111   140.877
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.111   140.877
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.111   140.877
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.111   140.877
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.111   140.877
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.111   140.877
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.001   140.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.001   140.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.001   140.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.001   140.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.001   140.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.001   140.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.001   140.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.001   140.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.001   140.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.001   140.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.001   140.896
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.981   140.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.981   140.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.981   140.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.981   140.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.981   140.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.981   140.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.981   140.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.981   140.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.981   140.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.981   140.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.981   140.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.981   140.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.981   140.841
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.955   140.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.955   140.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.955   140.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.955   140.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.955   140.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.955   140.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.955   140.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.955   140.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.955   140.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.955   140.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.955   140.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.955   140.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.955   140.931
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.060   140.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.060   140.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.060   140.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.060   140.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.060   140.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.060   140.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.060   140.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.060   140.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.060   140.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.060   140.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.060   140.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.060   140.875
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.075   140.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.075   140.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.075   140.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.075   140.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.075   140.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.075   140.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.075   140.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.075   140.818
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.057   140.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.057   140.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.057   140.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.057   140.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.057   140.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.057   140.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.057   140.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.057   140.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.057   140.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.057   140.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.057   140.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.057   140.890
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.821   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.821   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.821   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.821   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.821   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.821   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.821   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.821   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.821   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.821   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.821   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.821   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.821   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.821   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.821   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.821   140.860
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.175   140.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.175   140.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.175   140.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.175   140.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.175   140.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.175   140.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.175   140.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.175   140.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.175   140.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.175   140.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.175   140.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.175   140.853
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.129   140.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.129   140.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.129   140.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.129   140.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.129   140.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.129   140.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.129   140.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.129   140.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.129   140.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.129   140.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.129   140.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.129   140.952
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.145   140.942
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.145   140.942
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.145   140.942
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.145   140.942
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.145   140.942
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.145   140.942
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.145   140.942
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.145   140.942
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.145   140.942
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.145   140.942
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.145   140.942
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.145   140.942
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.150   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.150   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.150   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.150   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.150   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.150   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.150   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.150   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.150   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.892   140.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.892   140.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.892   140.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.892   140.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.892   140.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.892   140.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.892   140.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.892   140.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.892   140.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.892   140.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.892   140.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.892   140.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.869   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.869   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.869   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.869   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.869   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.869   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.869   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.869   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.869   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.869   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.869   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.869   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.869   140.887
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.753   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.753   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.753   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.753   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.753   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.753   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.753   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.753   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.753   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.753   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.753   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.753   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.753   140.804
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.053   140.895
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.053   140.895
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.053   140.895
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.053   140.895
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.053   140.895
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.053   140.895
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.053   140.895
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.053   140.895
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.053   140.895
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.053   140.895
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.053   140.895
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.864   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.864   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.864   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.864   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.864   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.864   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.864   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.864   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.864   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.864   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.864   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.864   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.864   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.864   140.749
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.793   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.793   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.793   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.793   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.793   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.793   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.793   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.793   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.793   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.793   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.793   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.793   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.793   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.793   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.898   140.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.898   140.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.898   140.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.898   140.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.898   140.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.898   140.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.898   140.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.898   140.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.898   140.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.898   140.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.898   140.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.898   140.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.898   140.813
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.477   141.190
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.477   141.190
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.477   141.190
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.477   141.190
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.477   141.190
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.477   141.190
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.477   141.190
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.477   141.190
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.477   141.190
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.477   141.190
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.477   141.190
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.477   141.190
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.477   141.190
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.477   141.190
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.477   141.190
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.750   140.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.750   140.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.750   140.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.750   140.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.750   140.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.750   140.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.750   140.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.750   140.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.750   140.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.750   140.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.750   140.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.750   140.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.750   140.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.750   140.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.750   140.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.750   140.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.750   140.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.750   140.790
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.940   140.930
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.940   140.930
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.940   140.930
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.940   140.930
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.940   140.930
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.940   140.930
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.940   140.930
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.940   140.930
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.940   140.930
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.940   140.930
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.940   140.930
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.940   140.930
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.940   140.930
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.940   140.930
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.940   140.930
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.940   140.930
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.802   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.802   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.802   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.802   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.802   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.802   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.802   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.802   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.802   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.802   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.802   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.802   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.802   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.802   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.802   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.802   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.802   140.843
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.099   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.099   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.099   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.099   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.099   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.099   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.099   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.099   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.099   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.099   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.099   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.099   140.883
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.752   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.752   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.752   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.752   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.752   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.752   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.752   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.752   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.752   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.752   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.752   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.752   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.752   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.752   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.752   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.752   140.787
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.192   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.192   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.192   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.192   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.192   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.192   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.192   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.192   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.192   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.192   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.192   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.192   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.192   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.192   140.958
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.180   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.180   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.180   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.180   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.180   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.180   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.180   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.180   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.180   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.180   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.180   140.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.868   140.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.868   140.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.868   140.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.868   140.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.868   140.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.868   140.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.868   140.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.868   140.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.868   140.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.868   140.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.868   140.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.868   140.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.868   140.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.868   140.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.868   140.884
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.511   141.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.511   141.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.511   141.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.511   141.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.511   141.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.511   141.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.511   141.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.511   141.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.511   141.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.511   141.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.511   141.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.511   141.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.511   141.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.511   141.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.511   141.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.511   141.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.511   141.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.511   141.084
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.466   140.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.466   140.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.466   140.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.466   140.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.466   140.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.466   140.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.466   140.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.466   140.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.466   140.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.466   140.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.466   140.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.466   140.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.456   139.249
    38.466   140.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.456   139.249
    38.466   140.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.466   140.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.466   140.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.466   140.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.466   140.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.518   140.337
    38.466   140.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.518   140.337
    38.466   140.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.818   139.317
    38.466   140.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.818   139.317
    38.466   140.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.053   140.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.053   140.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.053   140.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.053   140.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.053   140.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.053   140.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.053   140.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.053   140.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.053   140.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.053   140.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.053   140.876
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.626   140.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.626   140.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.626   140.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.626   140.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.626   140.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.626   140.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.626   140.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.626   140.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.626   140.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.626   140.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.626   140.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.626   140.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.626   140.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.626   140.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.626   140.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.626   140.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.626   140.643
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.038   140.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.038   140.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.038   140.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.038   140.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.038   140.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.038   140.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.038   140.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.038   140.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.038   140.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.038   140.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.038   140.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.038   140.893
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.080   140.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.080   140.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.080   140.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.080   140.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.080   140.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.080   140.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.080   140.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.080   140.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.080   140.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.080   140.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.080   140.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.080   140.959
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.941   140.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.941   140.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.941   140.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.941   140.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.941   140.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.941   140.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.941   140.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.941   140.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.941   140.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.941   140.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.941   140.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.941   140.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.941   140.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.941   140.587
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.027   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.027   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.027   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.027   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.027   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.027   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.027   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.027   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.027   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.027   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.027   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.027   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.577   141.820
    39.027   140.934
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.215   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.215   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.215   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.215   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.215   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.215   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.215   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.215   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.215   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.215   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.215   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.215   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.189   140.636
    39.215   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.189   140.636
    39.215   140.791
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.208   140.805
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.208   140.805
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.208   140.805
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.208   140.805
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.208   140.805
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.208   140.805
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.208   140.805
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.208   140.805
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.208   140.805
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.208   140.805
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.208   140.805
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.208   140.805
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.189   140.636
    39.208   140.805
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.189   140.636
    39.208   140.805
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.203   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.203   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.203   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.203   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.203   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.203   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.203   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.203   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.203   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.203   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.203   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.189   140.636
    39.203   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    40.189   140.636
    39.203   140.798
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.875   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.875   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.875   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.875   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.875   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.875   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.875   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.875   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.875   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.875   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.875   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.875   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.875   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.875   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.875   140.891
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.927   140.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.927   140.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.927   140.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.927   140.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.927   140.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.927   140.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.927   140.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.927   140.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.927   140.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.927   140.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.927   140.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.927   140.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.927   140.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.927   140.616
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.622   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.622   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.622   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.622   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.622   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.622   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.622   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.622   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.622   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.622   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.622   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.622   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.622   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.622   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.622   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.622   140.640
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.042   140.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.042   140.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.042   140.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.042   140.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.042   140.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.042   140.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.042   140.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.042   140.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.042   140.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.042   140.859
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.819   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.819   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.819   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.819   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.819   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.819   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.819   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.819   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.819   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.819   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.819   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.819   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.819   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.819   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.819   140.829
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.153   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.153   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.153   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.153   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.153   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.153   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.153   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.153   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.153   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.153   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.153   140.975
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.992   140.793
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.992   140.793
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.992   140.793
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.992   140.793
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.992   140.793
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.195   139.557
    38.992   140.793
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.972   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.972   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.972   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.972   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.972   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.972   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.972   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.972   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.972   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.972   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.972   140.933
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.311   141.465
    38.274   141.554
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.311   141.465
    38.274   141.554
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.274   141.554
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.811   141.474
    38.274   141.554
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.602   140.911
    38.274   141.554
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.602   140.911
    38.274   141.554
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.274   141.554
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.274   141.554
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.274   141.554
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.274   141.554
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.274   141.554
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.274   141.554
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.274   141.554
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.602   140.911
    38.696   140.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.602   140.911
    38.696   140.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.696   140.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.696   140.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.696   140.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.696   140.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.811   141.474
    38.696   140.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.811   141.474
    38.696   140.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.696   140.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.696   140.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.696   140.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.696   140.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.696   140.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.696   140.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.696   140.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.696   140.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.696   140.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.696   140.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.696   140.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.696   140.993
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.073   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.073   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.073   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.073   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.073   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.073   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.073   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.073   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.811   141.474
    39.073   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.811   141.474
    39.073   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.073   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.073   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.073   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.073   140.925
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.055   140.873
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.055   140.873
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.055   140.873
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.055   140.873
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.055   140.873
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.055   140.873
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.055   140.873
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.055   140.873
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.811   141.474
    39.055   140.873
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.811   141.474
    39.055   140.873
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.055   140.873
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.055   140.873
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.055   140.873
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.055   140.873
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.055   140.873
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.055   140.873
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.052   140.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.052   140.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.052   140.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.052   140.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.052   140.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.052   140.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.052   140.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.052   140.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.811   141.474
    39.052   140.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.811   141.474
    39.052   140.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.052   140.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.052   140.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.052   140.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.052   140.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.052   140.872
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.890   140.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.890   140.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.016   139.930
    38.890   140.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.016   139.930
    38.890   140.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.890   140.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.890   140.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.890   140.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.890   140.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.890   140.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.890   140.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.890   140.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.593   139.714
    38.890   140.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.890   140.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.221   140.066
    38.890   140.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.890   140.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.890   140.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.890   140.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.890   140.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.456   139.249
    38.890   140.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.456   139.249
    38.890   140.351
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.052   140.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.052   140.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.052   140.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.052   140.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.052   140.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.052   140.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.811   141.474
    39.052   140.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.811   141.474
    39.052   140.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.052   140.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.052   140.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.052   140.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.052   140.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.052   140.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.052   140.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.052   140.879
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.053   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.053   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.053   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.053   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.053   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.053   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.053   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.053   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.811   141.474
    39.053   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.811   141.474
    39.053   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.053   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.053   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.053   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.053   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.053   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.053   140.888
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.057   140.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.057   140.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.057   140.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.057   140.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.057   140.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.057   140.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.057   140.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.057   140.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.811   141.474
    39.057   140.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.811   141.474
    39.057   140.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.057   140.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.057   140.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.057   140.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.057   140.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.057   140.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.057   140.898
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.311   141.465
    38.308   141.565
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.311   141.465
    38.308   141.565
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.308   141.565
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.308   141.565
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.811   141.474
    38.308   141.565
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.811   141.474
    38.308   141.565
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.602   140.911
    38.308   141.565
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.602   140.911
    38.308   141.565
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.308   141.565
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.308   141.565
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    37.866   140.793
    38.308   141.565
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.308   141.565
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.985   140.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    38.985   140.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.602   140.911
    38.985   140.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.985   140.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    38.985   140.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.985   140.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    38.985   140.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.811   141.474
    38.985   140.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.811   141.474
    38.985   140.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    38.985   140.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.985   140.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    38.985   140.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.985   140.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    38.985   140.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.985   140.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    38.985   140.918
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.952   141.220
    39.065   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.065   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.396   140.634
    39.065   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.065   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.473   141.292
    39.065   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.811   141.474
    39.065   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.811   141.474
    39.065   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.065   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.918   140.359
    39.065   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    39.080   141.669
    39.065   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.065   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.454   141.349
    39.065   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.065   140.892
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    38.366   140.664
    39.065   140.892
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    38.425   141.303     0.300
    39.134   141.136     0.300
    38.260   140.900     0.300
    38.253   140.348     0.300
    39.697   141.167     0.300
    39.062   141.718     0.300
    39.718   140.102     0.300
    38.907   139.847     0.300
    39.645   141.968     0.300
    37.757   140.475     0.300
    38.857   139.973     0.300
    39.338   140.173     0.300
    39.080   141.669     0.300
    38.173   140.037     0.300
    39.577   141.820     0.300
    39.715   140.103     0.300
    39.735   140.142     0.300
    39.599   141.324     0.300
    38.366   140.664     0.300
    38.454   141.349     0.300
    38.952   141.220     0.300
    38.918   140.359     0.300
    37.866   140.793     0.300
    38.221   140.066     0.300
    38.593   139.714     0.300
    39.396   140.634     0.300
    39.473   141.292     0.300
    39.985   141.330     0.300
    37.518   140.337     0.300
    37.367   140.874     0.300
    39.540   140.208     0.300
    39.195   139.557     0.300
    38.456   139.249     0.300
    37.818   139.317     0.300
    40.189   140.636     0.300
    38.311   141.465     0.300
    38.811   141.474     0.300
    38.602   140.911     0.300
    39.016   139.930     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.726   141.138     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.722   141.140     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.730   141.175     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.727   141.145     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.707   141.132     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.733   141.180     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.691   141.136     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.685   141.075     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.229   140.716     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.280   140.722     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.251   140.829     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.719   141.122     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.687   140.651     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.776   140.804     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.681   141.156     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.690   141.199     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.160   140.829     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.772   140.687     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.774   141.030     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.567   141.763     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.715   141.080     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.727   141.193     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.977   140.459     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.421   140.667     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.963   141.007     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.993   140.972     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.891   140.723     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.887   140.736     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.773   141.125     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.052   140.953     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.055   140.958     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.001   140.961     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.766   141.146     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.297   140.831     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.311   140.535     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.803   141.207     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.938   140.649     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.955   141.002     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.694   141.067     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.671   141.115     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.823   140.738     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.829   140.748     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.491   140.346     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.768   141.172     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.838   141.031     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.479   140.819     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.043   140.971     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.874   140.843     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.886   140.821     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.879   140.841     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.880   140.823     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.829   140.617     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.868   140.640     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.870   140.640     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.828   140.642     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.876   140.639     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.889   140.621     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.874   140.657     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.894   140.655     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.846   140.634     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.937   140.679     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.906   140.619     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.880   140.650     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.856   140.628     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.869   140.647     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.902   140.610     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.834   140.644     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.858   140.633     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.848   140.642     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.889   140.646     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.862   140.687     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.820   140.644     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.828   140.645     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.836   140.633     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.816   140.649     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.857   140.679     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.907   140.683     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.867   140.672     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.884   140.666     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.950   140.581     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.883   140.663     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.959   140.572     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.960   140.574     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.813   140.585     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.807   140.592     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.909   140.618     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.810   140.588     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.896   140.624     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.893   140.645     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.902   140.633     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.865   140.674     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.888   140.651     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.888   140.675     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.865   140.644     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.888   140.613     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.850   140.694     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.887   141.024     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.271   140.767     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.290   140.752     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.274   140.768     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.785   140.728     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.282   140.769     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.019   140.933     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.875   141.026     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.874   140.682     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.024   140.924     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.018   140.925     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.022   140.915     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.983   140.965     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.758   140.701     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.609   141.144     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.770   141.128     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.714   141.134     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.472   140.530     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.045   140.978     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.435   141.162     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.397   141.155     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.426   141.165     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.469   141.165     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.471   141.166     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.420   141.201     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.485   141.177     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.469   141.187     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.478   141.222     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.473   141.168     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.476   141.159     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.428   141.194     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.497   141.207     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.508   141.186     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.486   141.212     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.474   141.169     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.392   141.171     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.530   141.229     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.463   141.177     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.507   141.180     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.049   140.975     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.474   141.163     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.493   141.192     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.390   141.168     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.461   141.215     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.083   140.850     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.975   140.627     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.392   140.749     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.202   141.173     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.200   141.154     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.422   141.123     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.985   140.600     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.047   140.876     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.117   140.957     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.113   141.039     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.144   140.954     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.901   140.905     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.017   140.887     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.107   140.901     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.821   140.833     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.143   140.944     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.896   140.703     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.030   140.897     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.905   140.739     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.092   140.948     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.125   140.978     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.043   140.941     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.909   140.892     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.070   141.037     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.088   140.905     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.078   141.011     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.102   140.891     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.028   140.909     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.107   140.954     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.940   140.910     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.108   140.956     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.871   140.894     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.879   140.887     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.104   140.917     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.060   140.972     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.140   140.967     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.999   140.932     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.096   140.888     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.059   140.882     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.109   140.951     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.117   140.965     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.973   140.916     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.108   140.975     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.142   140.943     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.860   140.883     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.871   140.785     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.127   140.928     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.124   140.934     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.896   140.787     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.149   140.955     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.977   140.958     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.013   140.967     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.086   140.999     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.878   140.791     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.156   140.878     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.159   140.969     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.788   140.807     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.755   140.798     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.126   140.932     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.165   140.986     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.129   140.923     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.145   140.969     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.105   140.944     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.127   140.947     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.158   140.960     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.186   140.977     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.987   140.791     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.914   140.871     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.060   140.803     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.088   140.963     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.134   140.966     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.153   140.959     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.791   140.801     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.902   140.591     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.834   140.846     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.103   140.968     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.167   140.984     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.043   140.891     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.100   140.947     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.046   140.910     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.164   140.974     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.171   140.974     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.940   140.921     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.119   141.006     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.038   140.899     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.856   140.831     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.080   140.975     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.749   140.792     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.742   140.779     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.751   140.762     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.734   140.791     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.743   140.792     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.880   140.757     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.949   140.665     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.110   140.970     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.065   140.968     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.874   140.785     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.164   140.860     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.129   140.915     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.111   140.877     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.001   140.896     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.981   140.841     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.955   140.931     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.060   140.875     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.075   140.818     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.057   140.890     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.821   140.860     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.175   140.853     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.129   140.952     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.145   140.942     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.150   140.883     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.892   140.970     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.869   140.887     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.753   140.804     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.053   140.895     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.864   140.749     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.793   140.791     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.898   140.813     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.477   141.190     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.750   140.790     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.940   140.930     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.802   140.843     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.099   140.883     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.752   140.787     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.192   140.958     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.180   140.972     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.868   140.884     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.511   141.084     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.466   140.207     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.053   140.876     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.626   140.643     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.038   140.893     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.080   140.959     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.941   140.587     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.027   140.934     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.215   140.791     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.208   140.805     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.203   140.798     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.875   140.891     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.927   140.616     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.622   140.640     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.042   140.859     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.819   140.829     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.153   140.975     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.992   140.793     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.972   140.933     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.274   141.554     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.696   140.993     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.073   140.925     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.055   140.873     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.052   140.872     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.890   140.351     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.052   140.879     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.053   140.888     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.057   140.898     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.308   141.565     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    38.985   140.918     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    39.065   140.892     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    38.869   140.885     0.000   222.000   222.000
    38.869   140.885     0.000   444.000   444.000
END
